Subject: Re: bug#14507: 24.3; TAB in shell mode never ignores case, even though I want it to

From: Alan Third <[email-masked]>
Date: Wed, 25 May 2016 20:34:22 +0100

On Wed, May 25, 2016 at 07:18:55PM +0000, Eric Hanchrow wrote:
> So you're saying that
> 
> a) Emacs is deferring to Bash to do the completion in this case; and
> b) bash is not ignoring case?
> 
> I find both of those hard to believe -- particularly since if I type "cd
> doc" at a shell prompt that's not inside emacs, but is in a Terminal.app,
> it does what I want (namely: completes to "cd Documents").
> 
> If a) is in fact correct, then I suppose Emacs is somehow starting the
> shell differently than Terminal.app is.

OK, I think I was talking rubbish. It looks like Emacs does do the
completion.

(BTW, this bug looks like it's OS X specific in debbugs even though
it's reproducible in a GTK+ build on GNU/Linux too.)
-- 
Alan Third